Bug 1260671 - php: HAVAL gives wrong hashes in specific cases
php: HAVAL gives wrong hashes in specific cases
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150820,repor...
: Security
Depends On: 1260672
Blocks: 1260756
  Show dependency treegraph
 
Reported: 2015-09-07 08:33 EDT by Adam Mariš
Modified: 2015-10-21 11:14 EDT (History)
15 users (show)

See Also:
Fixed In Version: php 5.4.45, php 5.5.29, php 5.6.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 17:04:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-07 08:33:27 EDT
HAVAL pads a string with a wrong pad length, if the remaining string is over 64 and under 118 bytes length. The suspect code is:

index = (unsigned int) ((context->count[0] >> 3) & 0x3f);

When the string is over 64 and under 118 then it seems to have a wrong padding length.

Upstream report:

https://bugs.php.net/bug.php?id=70312

Upstream patch:

http://git.php.net/?p=php-src.git;a=commit;h=1390a5812b151e0ea8f74e64bfeaa5df4dd5b801
Comment 1 Adam Mariš 2015-09-07 08:34:09 EDT
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1260672]
Comment 2 Fedora Update System 2015-09-14 18:19:36 EDT
php-5.6.13-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-09-14 19:18:55 EDT
php-5.6.13-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-09-18 14:40:05 EDT
php-5.6.13-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2015-10-09 17:04:22 EDT
This fix is not planned to be backported to PHP packages in already released Red Hat products.

Note You need to log in before you can comment on or make changes to this bug.